View Issue Details

IDProjectCategoryView StatusLast Update
0005037OXID eShop (all versions)4.02. Session handlingpublic2013-09-16 10:16
Reporterthomas_oppelt 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.6.6 revision 54646 
Target Version4.7.5 / 5.0.5Fixed in Version4.7.5 / 5.0.5 
Summary0005037: Sessions get lost on subshops
DescriptionSee steps to reproduce.
We noticed this issue on views where pictures have to be regenrated, this is why step 6 is added.
Steps To Reproduce1. Setup demo shop (tested with 5.0.3 and 5.0.4 EE)
2. Setup subshop inheriting from Main-Shop
3. Setup subshop Shop URL and Shop SSL URL
4. Mall Setting on Subshop: "Load "out" directory from active shop" (blNativeImages) is set to TRUE
5. Add product to basket in subshop
6. Delete out/pictures/generated to force image regenerating
7. Visit pages including images to be refreshed
8. Click to any page => Session is lost
TagsNo tags attached.
ThemeAzure
BrowserAll
PHP Versionany
MySQL Versionany

Relationships

related to 0005644 resolvedtadas getimg.php 

Activities

dainius.bigelis

2013-04-04 15:26

reporter   ~0008563

We found, that the problem occurs in quite rare cases - only at the moment when user adds some product to basket when the picture files are deleted in the bacground, and the product details page is not yet visited (means the new pictures are not yet generated by eShop).
We are still investigating how to solve that case properly, but as workaround for now would be to force eShop to generate pictures in advance, as soon as you deleted that.
Means - you need to crawl through entire site - category, manufacturer lists, all product detail pages. As soon as eShop loads particular page with product pictures - it generates the missing pictures for that page and stores it in /generated dir (particular subdir inside, according image size). As soon as all the pictures are generated - the issue will not occur.

thomas_oppelt

2013-04-04 15:45

reporter   ~0008564

This might be a rare case for already existing shops, but in our case we will be starting with a new shop were texts and images will be changed a lot in the beginning. So for our shop this is not a rare case and its crucial for us that this works properly. And for any shop its not acceptable, that sessions get lost and baskets are dropped when a user reaches a new or changed product image which has not been generated.
Writing a crawler costs time and money and will even not solve this problem at all. In our opinion this bug should be fixed immediately.

vaidas.matulevicius

2013-05-01 07:55

reporter   ~0008653

This issue was fixed.